> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /ah/products/search

> Search Albert Heijn products by keyword. Returns product cards with title, brand, category, price, list price, nutriscore, bonus/discount info, unit price description, availability and images.

**Price:** 10 credits per 100 results



## OpenAPI

````yaml /openapi/e-commerce-marketplaces.json post /api/ah/products/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/ah/products/search:
    post:
      tags:
        - /ah
      summary: /ah/products/search
      description: >-
        Search Albert Heijn products by keyword. Returns product cards with
        title, brand, category, price, list price, nutriscore, bonus/discount
        info, unit price description, availability and images.


        **Price:** 10 credits per 100 results
      operationId: __api_ah_products_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AhProductsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AhSearchProduct'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AhProductsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        keyword:
          type: string
          minLength: 1
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - keyword
        - count
    AhSearchProduct:
      properties:
        '@type':
          type: string
          default: AhSearchProduct
        id:
          type: integer
        hq_id:
          anyOf:
            - type: integer
            - type: 'null'
        brand:
          anyOf:
            - type: string
            - type: 'null'
        main_category:
          anyOf:
            - type: string
            - type: 'null'
        sub_category:
          anyOf:
            - type: string
            - type: 'null'
        shop_type:
          anyOf:
            - type: string
            - type: 'null'
        sales_unit_size:
          anyOf:
            - type: string
            - type: 'null'
        unit_price_description:
          anyOf:
            - type: string
            - type: 'null'
        nutriscore:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        list_price:
          anyOf:
            - type: number
            - type: 'null'
        min_best_before_days:
          anyOf:
            - type: integer
            - type: 'null'
        is_bonus:
          type: boolean
          default: false
        is_sponsored:
          type: boolean
          default: false
        is_orderable:
          anyOf:
            - type: boolean
            - type: 'null'
        is_available_online:
          anyOf:
            - type: boolean
            - type: 'null'
        is_sample:
          type: boolean
          default: false
        is_nix18:
          type: boolean
          default: false
        is_stapel_bonus:
          type: boolean
          default: false
        is_infinite_bonus:
          type: boolean
          default: false
        is_virtual_bundle:
          type: boolean
          default: false
        bonus_mechanism:
          anyOf:
            - type: string
            - type: 'null'
        bonus_start_date:
          anyOf:
            - type: string
            - type: 'null'
        bonus_end_date:
          anyOf:
            - type: string
            - type: 'null'
        promotion_type:
          anyOf:
            - type: string
            - type: 'null'
        order_availability_status:
          anyOf:
            - type: string
            - type: 'null'
        description_highlights:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        images:
          items:
            type: string
          type: array
          default: []
        property_icons:
          items:
            type: string
          type: array
          default: []
        discount_labels:
          items:
            $ref: '#/components/schemas/AhSearchDiscountLabel'
          type: array
          default: []
        virtual_bundle_items:
          items:
            $ref: '#/components/schemas/AhVirtualBundleItem'
          type: array
          default: []
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    AhSearchDiscountLabel:
      properties:
        '@type':
          type: string
          default: AhSearchDiscountLabel
        code:
          anyOf:
            - type: string
            - type: 'null'
        amount:
          anyOf:
            - type: number
            - type: 'null'
        percentage:
          anyOf:
            - type: number
            - type: 'null'
        precise_percentage:
          anyOf:
            - type: number
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        count:
          anyOf:
            - type: integer
            - type: 'null'
        free_count:
          anyOf:
            - type: integer
            - type: 'null'
        unit:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    AhVirtualBundleItem:
      properties:
        '@type':
          type: string
          default: AhVirtualBundleItem
        product_id:
          type: integer
        quantity:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - product_id
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````